#ifndef CONFIG_H
#define CONFIG_H

typedef struct
{
	char path[MAX_PATH];
	char target1[MAX_PATH];
	char target2[MAX_PATH];
	int debug;
	int exedsp_debug;
	int default_source;
	int aspect_ratio;
	unsigned record_key_lock;
	int protect;
	#define CFG_UNICODE_UTF8            0
	#define CFG_UNICODE_ASCII           1
	#define CFG_UNICODE_ASCII_TRANSCODE 2
	int unicode;
	unsigned winter_time;
	unsigned summer_time;
	int show_icons;
	unsigned icon_x;
	unsigned icon_y;
	int testwrite;
	int del_mdb;
	int del_empty_ts;
	unsigned io_buffer;
} cfgstruct;

extern cfgstruct config;

#define CONFIG_FNAME	"pvr.ini"	// configuration file name

void load_config(const char *path);

#endif /* CONFIG_H */
